#include<iostream>
#include<cmath>
#include<iomanip>
#include<chrono>
using namespace std;
using namespace std::chrono;
double L, R;
double cnt = 0;
int p, q, r;
double k1, k2, k3;
string s;
int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cout.tie(NULL);
	cin >> p >> q >> r >> L >> R;
	for (double i = L; i <= R; i++)
	{
		k1 = ceil(i / p);
		k2 = ceil(i / q);
		k3 = ceil(i / r);
		
		if ((k1 + k2 + k3) <= i)
		{
			cnt += 1.0;
		}

	}
	cout << setprecision(0) << cnt;
	return 0;
}